
local Pendulum = LibStub("AceAddon-3.0"):GetAddon("Pendulum")

Pendulum:AddSkin("Pendulum12Hour","Pendulum (12 Hour)",{
	{
		DrawLayer = "BACKGROUND",
		Texture = [[Interface\AddOns\Pendulum\Textures\pendulumFace]],
		Width = 60,
		Height = 60,
		static = true,
	},
	{
		DrawLayer = "ARTWORK",
		Texture = [[Interface\AddOns\Pendulum\Textures\pendulumSecond]],
		Width = 60,
		Height = 60,
		Rate = 6,
	},
	{
		DrawLayer = "ARTWORK",
		Texture = [[Interface\AddOns\Pendulum\Textures\pendulumMinute]],
		Width = 60,
		Height = 60,
		Rate = 0.1,
	},
	{
		DrawLayer = "ARTWORK",
		Texture = [[Interface\AddOns\Pendulum\Textures\pendulumHour]],
		Width = 60,
		Height = 60,
		Rate = 1/120,
	},
})

Pendulum:AddSkin("Pendulum24Hour","Pendulum (24 Hour)",{
	Is24Hour = true,
	{
		DrawLayer = "BACKGROUND",
		Texture = [[Interface\AddOns\Pendulum\Textures\pendulumFace]],
		Width = 60,
		Height = 60,
	},
	{
		DrawLayer = "ARTWORK",
		Texture = [[Interface\AddOns\Pendulum\Textures\pendulumSecond]],
		Width = 60,
		Height = 60,
		Rate = 6,
	},
	{
		DrawLayer = "ARTWORK",
		Texture = [[Interface\AddOns\Pendulum\Textures\pendulumMinute]],
		Width = 60,
		Height = 60,
		Rate = 0.1,
	},
	{
		DrawLayer = "ARTWORK",
		Texture = [[Interface\AddOns\Pendulum\Textures\pendulumHour]],
		Width = 60,
		Height = 60,
		Rate = 1/240,
	},
})

Pendulum:AddSkin("Gear12Hour","Open Gear Clock (12 Hour)",{
	{
		DrawLayer = "BACKGROUND",
		FrameLevel = 1,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclockback]],
		Width = 60,
		Height = 60,
		static = true,
	},
	{
		DrawLayer = "BORDER",
		FrameLevel = 1,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclock60]],
		Width = 60,
		Height = 60,
		YOffset = -17,
		Rate = -0.8,
	},
	{
		DrawLayer = "ARTWORK",
		FrameLevel = 1,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclock64]],
		Width = 60,
		Height = 60,
		Rate = 0.1,
	},
	{
		DrawLayer = "BACKGROUND",
		FrameLevel = 2,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclock30]],
		Width = 60,
		Height = 60,
		YOffset = 10,
		Rate = -1/30,
	},
	{
		DrawLayer = "BORDER",
		FrameLevel = 2,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclock32]],
		Width = 60,
		Height = 60,
		Rate = 1/120,
	},
	{
		DrawLayer = "ARTWORK",
		FrameLevel = 2,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclockface]],
		Width = 60,
		Height = 60,
		static = true,
	},
	{
		DrawLayer = "BACKGROUND",
		FrameLevel = 3,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclockhour]],
		Width = 60,
		Height = 60,
		Rate = 1/120,
	},
	{
		DrawLayer = "BORDER",
		FrameLevel = 3,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclockminute]],
		Width = 60,
		Height = 60,
		Rate = 0.1,
	},
	{
		DrawLayer = "ARTWORK",
		FrameLevel = 3,
		Texture = [[Interface\AddOns\Pendulum\Textures\gearclocksecond]],
		Width = 60,
		Height = 60,
		Rate = 6,
	},
})
